Subject: Re[2]: A call to find mounted dirs?
From: [email-masked] (Scott Mintz)

24 May 1997 20:20:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-Cc: cygnus gnu-win32 mailing list <[email-masked]>
Content-Description: cc:Mail note part
Original-Sender: [email-masked]

     The mount history is not stored in a disk file with gnu-win32, it is 
     stored in the registry.
     
     The registry key name changed between b17.1 and b18.
     
     It was "Cygnus Support" and is now "Cygnus Solutions".
     
     I'm not sure why you lost your "old" mounts in b17.1.  My mounted 
     drives behave exactly the same under both.
     
     -Scott A. Mintz

______________________________ Reply Separator _________________________________
Subject: Re: A call to find mounted dirs?
Author:  Chin Chee-Kai <[email-masked]> at Internet
Date:    5/23/97 9:59 AM

On Wed, 21 May 1997, Mikey wrote:
> Can you say fstab?
     
Hi Mikey, not sure what you mean by "say fstab".  If what you 
mean is that I had created /etc/fstab file that resulted in the 
remnant mounts, I have no such file created actually.
     
C:\>dir \etc\fstab
File not found
     
C:\>mount
Device           Directory           Type        Flags
\\.\tape1:       /dev/st1            native      no-mixed,text!=binary 
\\.\tape0:       /dev/st0            native      no-mixed,text!=binary 
\\.\b:           /dev/fd1            native      no-mixed,text!=binary 
\\.\a:           /dev/fd0            native      no-mixed,text!=binary 
c:               /                   native      no-mixed,text!=binary
     
C:\>mount /usr/local/ /local    <-- create /usr/local and /local before
                                    this command
     
C:\>mount
Device           Directory           Type        Flags
\usr\local       /local              native      no-mixed,text!=binary 
\\.\tape1:       /dev/st1            native      no-mixed,text!=binary 
\\.\tape0:       /dev/st0            native      no-mixed,text!=binary 
\\.\b:           /dev/fd1            native      no-mixed,text!=binary 
\\.\a:           /dev/fd0            native      no-mixed,text!=binary 
c:               /                   native      no-mixed,text!=binary
     
C:\>
     
Now reboot and immediately pull out a DOS prompt to type mount again 
and you'll see the same display as the last list.  (I did all 
commands outside bash, but don't suspect the result to be different 
if they were run inside bash).
     
In b17.1, I didnt' see such "long-lived mounts" behaving in this 
manner though (which prompted me to put in b17.1 an alias "setup" 
to do all my required mounts the very first time I run bash after 
booting up.  This alias now (in b18) returns "already mounted" 
messages when I run "setup", which means the "mount" semantics had 
changed).
     
I am also not sure if this is due to b17.1 and b18 file interferences 
as the same behavior happened on another PC on which I installed
b18 with a clean start without b17.1.  
     
Any ideas?

Chin Chee-Kai
Internet Email: [email-masked]
     
-
For help on using this list (especially unsubscribing), send a message to 
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".